# Class SV.Sort

java.lang.Object
org.jmol.script.SV.Sort

All Implemented Interfaces:
  `Comparator<SV>`

Enclosing class:
  `SV`

protected class SV.Sort extends Object implements Comparator<SV>

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Sort(int arrayPt, String myKey)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(SV x, SV y)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### Sort

protected Sort(int arrayPt, String myKey)

## Method Details

### compare

public int compare(SV x, SV y)

Specified by:
  `compare` in interface `Comparator<SV>`